import 'package:flutter/material.dart';
import 'package:get/get.dart';

import '../../app.dart';
import 'controller.dart';
import 'widgets/wishlist_list_widget.dart';

class WishlistsPage extends StatelessWidget {
  const WishlistsPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return GetBuilder<WishlistController>(
      init: WishlistController(),
      builder: (oc) => WillPopScope(
        onWillPop: () => oc.onWillPopScope(),
        child: Material(
          color: Colors.white,
          child: SafeArea(
            child: Scaffold(
              appBar: CustomAppbarWidget(leading: AppBarBackBtn()),
              // backgroundColor: ThemeColor.scaffoldBckColor,
              body: WishlistsListWidget(),
            ),
          ),
        ),
      ),
    );
  }
}
